The list/for_each.hpp header defines macros to repeat a macro for each element in a list.

#### Usage

#include <boost/preprocessor/list/for_each.hpp>

#### Contents

- BOOST_PP_LIST_FOR_EACH
- BOOST_PP_LIST_FOR_EACH_R

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)